import 'package:bloc/bloc.dart';
import 'package:e_commerce_training/src/model/response/order_response.dart';
import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

part 'order_state.dart';

class OrderCubit extends Cubit<OrderState> {
  OrderCubit() : super(OrderInitial());
  List<OrderResponse> listOrderNew =[];
  late OrderResponse orderResponse;
  int index = 0;
  void getListOrder( { bool? isRefresh = false, bool? isLoadMore = false}) {
    emit(isRefresh! ? OrderInitial() : OrderLoading());
    emit(isLoadMore! ? OrderInitial() : OrderLoading());
  }
   void addOder(){
    listOrderNew.addAll([
      OrderResponse(
        id: 1,
        name: "Chờ xác nhận",
        listOrder: [
          ListOrder(
            id: 1,
            title: "Hộp Cơm Giữ Nhiệt Zojirushi SL-GH18-BA Nhật Bản",
            thumb: "https://cdn.chiaki.vn/unsafe/0x900/left/top/smart/filters:quality(90)/https://chiaki.vn/upload/product/2021/02/hop-com-giu-nhiet-zojirushi-sl-gh18-ba-6037458d057aa-25022021133701.jpg",
            shop: "Zojirushi",
            payment: "Chờ thanh toán",
            note: "Đồ gia dụng",
            price: "1000",
            quantity: "2",
            text_total: "Tổng tiền",
            total: "2000",
            product: "2 sản phẩm",
            text: "Đang xử lí"
          )
        ]
      ),
      OrderResponse(
          id: 2,
          name: "Đã xác nhận",
          listOrder: [
            ListOrder(
                id: 1,
                title: "Hộp Cơm Giữ Nhiệt Zojirushi SL-GH18-BA Nhật Bản",
                thumb: "https://cdn.chiaki.vn/unsafe/0x900/left/top/smart/filters:quality(90)/https://chiaki.vn/upload/product/2021/02/hop-com-giu-nhiet-zojirushi-sl-gh18-ba-6037458d057aa-25022021133701.jpg",
                shop: "Zojirushi",
                payment: "Đã thanh toán",
                note: "Đồ gia dụng",
                price: "1000",
                quantity: "2",
                text_total: "Tổng tiền",
                total: "2000",
                product: "2 sản phẩm",
                text: "Đã xác nhận"
            )
          ]
      ),
      OrderResponse(
          id: 3,
          name: "Đang giao",
          listOrder: [
            ListOrder(
                id: 1,
                title: "Hộp Cơm Giữ Nhiệt Zojirushi SL-GH18-BA Nhật Bản",
                thumb: "https://cdn.chiaki.vn/unsafe/0x900/left/top/smart/filters:quality(90)/https://chiaki.vn/upload/product/2021/02/hop-com-giu-nhiet-zojirushi-sl-gh18-ba-6037458d057aa-25022021133701.jpg",
                shop: "Zojirushi",
                payment: "Chờ thanh toán",
                note: "Đồ gia dụng",
                price: "1000",
                quantity: "2",
                text_total: "Tổng tiền",
                total: "2000",
                product: "2 sản phẩm",
                time: "Đơn hàng sẽ giao trước 10/9/2021",
                text: "Đã xác nhận"
            )
          ]
      ),
      OrderResponse(
          id: 4,
          name: "Thành công",
          listOrder: [
            ListOrder(
                id: 1,
                title: "Hộp Cơm Giữ Nhiệt Zojirushi SL-GH18-BA Nhật Bản",
                thumb: "https://cdn.chiaki.vn/unsafe/0x900/left/top/smart/filters:quality(90)/https://chiaki.vn/upload/product/2021/02/hop-com-giu-nhiet-zojirushi-sl-gh18-ba-6037458d057aa-25022021133701.jpg",
                shop: "Zojirushi",
                payment: "Chờ thanh toán",
                note: "Đồ gia dụng",
                price: "1000",
                quantity: "2",
                total: "2000",
                text_total: "Tổng tiền",
                product: "2 sản phẩm",
                time: "Giao hàng thành công",
                text: "Mua lại"
            )
          ]
      ),
    ]);
   }
  void queryItem(int? id){
    emit(OrderLoading());
    orderResponse = listOrderNew.firstWhere((element) => element.id== id, orElse: ()=>listOrderNew[index]);
    emit(OrderInitial());
  }
}
